
#ifndef _FIELDS
#define _FIELDS
#include <jni.h>

typedef struct stringFieldStruct {
  char *str;
  jstring jstr;
} stringFieldStruct;

void setStaticInt(JNIEnv *env, jclass cls, char *name, int value);

void setIntField(JNIEnv *env, jobject obj, char *name, int value);

void setStringField(JNIEnv *env, jobject obj, char *name, char *msg);

int getIntField(JNIEnv *env, jobject obj, char *name);

stringFieldStruct getStringField(JNIEnv *env, jobject obj, char *name);

void setStringField(JNIEnv *env, jobject obj, 
		    char *name, char *value);
#endif

