/**
 * posix_PosixException.
 *
 * @version     1.0 20/6/98
 * @author      Jan Newmarch.
 * Copyright &copy; Jan Newmarch.
 * Covered by GNU Library General Public License
 */

#include <jni.h>
#include "Fields.h"

void throwPosixException(JNIEnv *env, int errno, char *errmsg) {

    jclass exceptionClass = (*env)->FindClass(env, 
				      "posix/PosixException");
    jobject exception = (*env)->AllocObject(env, exceptionClass); 
    
    setIntField(env, exception, "errno", errno);
    setStringField(env, exception, "detailMessage", errmsg);
    (*env)->Throw(env, exception);
}
