/**
 * Posix class Process.
 *
 * @version     1.0 20/6/98
 * @author      Jan Newmarch.
 * Copyright &copy; Jan Newmarch.
 * Covered by GNU Library General Public License
 */



package posix;

public class Process {

    /**
     * Fork the current process into two
     * @exception PosixException EAGAIN, ENOMEM
     */
    static public native int fork() throws PosixException;

    /**
     * Replace the current process
     * @exception PosixException E2BIG, EACCES, ENAMETOOLONG,
     * ENOENT, ENOTDIR
     */
    static public native int execvp(String file, String argv[])
	throws PosixException;
}
