

  int status;

  /* get C values from Java params */
  const char *path = (*env) -> GetStringUTFChars(env, jpath, 0);

  /* get file descriptor Java id */
  jclass class = (*env) -> GetObjectClass(env, obj);
  jfieldID jfid = (*env) -> GetFieldID(env, class, "fd", "I");

# ifdef DEBUG
    fprintf(stderr, "attempting to open %s for access\n", path);
# endif

  /* process */
  status = open(path, oflag);

# ifdef DEBUG
    if (status == -1)
      perror("");
    fprintf(stderr, "opened %s on file descriptor %d with flag %d\n", 
path, status, oflag);
# endif

  /* set Java file descriptor value */
  (*env) -> SetIntField(env, obj, jfid, status);
  
  /* cleanup */
  (*env) -> ReleaseStringUTFChars(env, jpath, path);

  /* set error? */
  if (status < 0) {
    /* set error */
  }
  return((jint) status);
