/**
 * Posix test class TestExecvp.
 *
 * @version     1.0 20/6/98
 * @author      Jan Newmarch.
 * Copyright &copy; Jan Newmarch.
 * Covered by GNU Library General Public License
 */

import posix.Process;
import posix.PosixException;

public class TestExecvp {

    public static void main(String argv[]) {
        System.loadLibrary("java_posix");

	System.out.println("About to exec ls");
	String args[] = new String[] {"ls"};
	try {
	    Process.execvp("ls", args);
	} catch(Exception e) {
	    System.out.println(e.toString());
	}
    }
}
