import posix.Posix;
import posix.PosixException;

public class CopyIO {

    public static void main(String argv[]) {
        System.loadLibrary("java_posix");

        final int SIZE = 1024;
        byte buf[] = new byte[SIZE];
        int nread;
        try {
            while ((nread = Posix.stdin.read(buf, SIZE)) != 0)
                Posix.stdout.write(buf, nread);
        } catch(PosixException e) {
            System.err.println("Error in copy " + e.toString());
        }
    }
}
