/**
 * Posix test class TestException.
 *
 * @version     1.0 20/6/98
 * @author      Jan Newmarch.
 * Copyright &copy; Jan Newmarch.
 * Covered by GNU Library General Public License
 */

import posix.File;
import posix.PosixException;

/**
 * Tests 
 * Requires
 */
public class TestException {

    static public void main(String argv[]) {
        System.loadLibrary("java_posix");
        new TestException();
    }

    public TestException() {
	try {
	    File f = new File("files/ajdhfeyrbnbnc");
	    f.unlink();
	} catch(PosixException e) {
	    if (!e.toString().equals("errno 2 - No such file or directory")) {
		System.out.println("Expected \"errno 2 - No such file or directory\"");
		System.out.println("Got \"" + e.toString() + "\"");
	    }
	}
    }
}
